package ratchet

import "testing"

func TestUserValidation(t *testing.T) {
	t.Run("user should return invalid", func(t *testing.T) {
		u := &User{}
		if ErrorCode(u.Validate()) != EINVALID {
			t.Errorf("User validation should have failed but passed instead.")
		}
	})

	t.Run("user validation should pass", func(t *testing.T) {
		u := &User{Name: "Drew"}
		if u.Validate() != nil {
			t.Errorf("User validation failed")
		}
	})

}
